Public Member Functions | Public Attributes | List of all members
libfreehand::FHCustomProc Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHCustomProc ()

## Public Attributes
std::vector< unsigned > | m_ids
std::vector< double > | m_widths
std::vector< double > | m_params
std::vector< double > | m_angles

## Constructor & Destructor Documentation

## ◆ FHCustomProc()

libfreehand::FHCustomProc::FHCustomProc | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_angles

std::vector<double> libfreehand::FHCustomProc::m_angles

Referenced by libfreehand::FHParser::readCustomProc().

## ◆ m_ids

std::vector<unsigned> libfreehand::FHCustomProc::m_ids

Referenced by libfreehand::FHCollector::_appendCustomProcFill(), libfreehand::FHCollector::_appendCustomProcLine(), and libfreehand::FHParser::readCustomProc().

## ◆ m_params

std::vector<double> libfreehand::FHCustomProc::m_params

Referenced by libfreehand::FHParser::readCustomProc().

## ◆ m_widths

std::vector<double> libfreehand::FHCustomProc::m_widths

Referenced by libfreehand::FHCollector::_appendCustomProcLine(), and libfreehand::FHParser::readCustomProc().

The documentation for this struct was generated from the following file:

- FHTypes.h